# Library

enum SuilArg

  Initialization argument.

void suil_init(int *argc, char ***argv, SuilArg key, ...)

  Initialize suil.

  This function should be called as early as possible, before any other GUI toolkit functions. The variable argument list is a sequence of SuilArg keys and corresponding value pairs for passing any necessary platform-specific information. It must be terminated with SUIL_ARG_NONE.

unsigned suil_ui_supported(const char *host_type_uri, const char *ui_type_uri)

  Check if suil can wrap a UI type.

  Parameters:

    - host_type_uri – The URI of the desired widget type of the host, corresponding to the `type_uri` parameter of `suil_instance_new()`.

    - ui_type_uri – The URI of the UI widget type.

  Returns:

    0 if wrapping is unsupported, otherwise the quality of the wrapping where 1 is the highest quality (direct native embedding with no wrapping) and increasing values are of a progressively lower quality and/or stability.